Subject: Re: bug#31978: 26.1.50; "s" in gnus *Group* error: "eieio-override-prin1: Apparently circular structure being printed"

From: Eric Abrahamsen <[email-masked]>
Date: Tue, 04 Jun 2019 12:08:25 -0700

Tim Landscheidt <[email-masked]> writes:

> Eric Abrahamsen <[email-masked]> wrote:
>
>>>>> I am using Gnus in Emacs 26.
>
>>>> Would you mind cherry-picking or otherwise applying the patch in
>>>> ffbb4e8d54, and see if that solves the problem? I think it probably
>>>> will.
>
>>> As I ran into this issue today (with Emacs 26.1): To apply
>>> the patch, is it sufficient to redefine
>>> eieio-persistent-validate/fix-slot-value in the running in-
>>> stance, or do I need to do something more?
>
>> That would suffice, but it wouldn't guarantee that the fix was available
>> next time you start Emacs. For that, you'd want to make sure that the
>> code was changed in your Emacs codebase, and then run "make" or
>> otherwise ensure it was compiled in. Depends on how you run Emacs.
>
> I redefined eieio-persistent-validate/fix-slot-value as per
> ffbb4e8d542df44ced5afd89221b0dfb234d8525 in Emacs 26.1, and
> it did not solve this issue, still emitting:
>
> | eieio-override-prin1: Apparently circular structure being printed
>
> (and barring Gnus from exiting).

Hmm, more things have been changed in this area since I worked on it --
is there any chance you could switch to 26.2? In particular, commit
5f01af6c8e almost certainly is involved.

> P. S.: The GNU Bug Tracker does not automatically send re-
>        plies to other participants, so you need to manually
>        "wide reply".

Yup, that was just an oversight.